﻿/*
@class com.delfiweb.utils.ArrayConverter
@version 0.1
@author Cédric Néhémie
description :  Convertir n'importe une chaine avec séparateur en un tableau 
*/
class com.delfiweb.utils.ArrayConverter
{
	/*
	propriété :  _separateur1 (Array) Le 1er separateur
	propriété :  _separateur2 (Array) Le 2eme separateur
	propriété :  _separateur3 (Array) Le 3eme separateur
	*/
	private var _separateur1:String;
	private var _separateur2:String;
	private var _separateur3:String;
	
	
	/*
	entrée :  s1 (String) Le 1er separateur
	entrée :  s2 (String) Le 2eme separateur
	entrée :  s3 (String) Le 3eme separateur
	utilisation :  var myConverter:ArrayConverter = new ArrayConverter(["#","|"]);
	description :  Cette classe etant une petite classe utilitaire pas besoin de 
				 getter/setter on initialise tout dans le constructeur
	*/
	public function ArrayConverter (s1:String,s2:String,s3:String)
	{
		_separateur1 = s1;
		_separateur2 = s2;
		_separateur3 = s3;
	}
	
	
	/*
	entrée :  string (String) la chaine a convertir
	sortie :  Array Le tableau d'information
	utilisation :  myArray = myConverter.convert("nom|id#nom|id");
	description :  Réalise la conversion d'une chaine, et renvoi le tableau
	*/
	public function convert (string:String):Array
	{
		var a:Array = new Array ();
		a = string.split (_separateur1);
		if(_separateur2)
		{
			for (var i in a)
			{
				a[i] = a[i].split (_separateur2);
				if(_separateur3)
				{
					for (var j in a)
					{
						a[i][j] = a[i][j].split (_separateur3);
					}
				}
			}
		}		
		return a;
	}
}
